The content centric renderer tries to maximize the time a content is visible by updating the content if possible or displaying interrupting actions like intent cascading by overlaying the content.

### Hierarchy

- ClassicRenderer
  - ContentCentricRenderer
    - RevealJsRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- channelId
- content
- qualifier
- scrollStrategy
- suggest

### Methods

- appendContent
- appendSuggest
- behaviour
- defaultBehaviour
- init
- render
- renderElement
- suggestionBehaviour
- getQualifier

## Constructors

### constructor

- new ContentCentricRenderer(content?: HTMLElement, suggest?: HTMLElement): ContentCentricRenderer

- Overrides ClassicRenderer.constructor

  - Defined in lib/renderer/ContentCentricRenderer.ts:17

  #### Parameters

  - ##### Optional content: HTMLElement

  - ##### Optional suggest: HTMLElement

  #### Returns ContentCentricRenderer

## Properties

### Protected Optional channelId

channelId: undefined | string

Inherited from AbstractRenderer.channelId

- Defined in lib/renderer/AbstractRenderer.ts:11

### Protected content

content: HTMLElement

Inherited from AbstractRenderer.content

- Defined in lib/renderer/AbstractRenderer.ts:9

### Private qualifier

qualifier: null = null

- Defined in lib/renderer/ContentCentricRenderer.ts:16

### scrollStrategy

scrollStrategy: "bottom" | "container" | function = this.bottomScrollStrategy

Inherited from ClassicRenderer.scrollStrategy

- Defined in lib/renderer/ClassicRenderer.ts:105

The scroll strategy is used to define the manner of scroll automation after the rendering of a renderable.

### Protected suggest

suggest: HTMLElement

Inherited from AbstractRenderer.suggest

- Defined in lib/renderer/AbstractRenderer.ts:10

## Methods

### appendContent

- appendContent(element: HTMLElement): void

- Implementation of IRenderer.appendContent

  Inherited from AbstractRenderer.appendContent

  - Defined in lib/renderer/AbstractRenderer.ts:72

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement): void

- Implementation of IRenderer.appendSuggest

  Inherited from AbstractRenderer.appendSuggest

  - Defined in lib/renderer/AbstractRenderer.ts:79

  #### Parameters

  - ##### element: HTMLElement

  #### Returns void

### Private behaviour

- behaviour(r: IRenderable, t: undefined | IStackeable): HTMLElement[]

- - Defined in lib/renderer/ContentCentricRenderer.ts:17

  #### Parameters

  - ##### r: IRenderable

  - ##### t: undefined | IStackeable

  #### Returns HTMLElement[]

### Private defaultBehaviour

- defaultBehaviour(renderable: IRenderable, containerType?: IStackeable): HTMLElement[]

- - Defined in lib/renderer/ContentCentricRenderer.ts:43

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### init

- init(channelId?: undefined | string): void

- Implementation of IRenderer.init

  Overrides ClassicRenderer.init

  - Defined in lib/renderer/ContentCentricRenderer.ts:23

  #### Parameters

  - ##### Optional channelId: undefined | string

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  Inherited from AbstractRenderer.render

  - Defined in lib/renderer/AbstractRenderer.ts:21

  Renders an element

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Protected renderElement

- renderElement(renderable: IRenderable, containerType?: IStackeable): HTMLElement[]

- Overrides ClassicRenderer.renderElement

  - Defined in lib/renderer/ContentCentricRenderer.ts:35
  inheritdoc

  #### Parameters

  - ##### renderable: IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Private suggestionBehaviour

- suggestionBehaviour(qualifier?: undefined | string): (Anonymous function)

- - Defined in lib/renderer/ContentCentricRenderer.ts:50

  #### Parameters

  - ##### Optional qualifier: undefined | string

  #### Returns (Anonymous function)

### Static Private getQualifier

- getQualifier(renderable: IRenderable): any

- - Defined in lib/renderer/ContentCentricRenderer.ts:39

  #### Parameters

  - ##### renderable: IRenderable

  #### Returns any

Generated using TypeDoc